commit 9f969bd4d1995aa802bef1cfe93afedc412bbd8a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 5 09:09:26 2011 -0700

    xf86-input-mouse 1.7.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b12fa0d5ab23237bc2ac02143739ef6861e55146
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 24 22:52:59 2011 -0700

    Fix Solaris issues with new ABI12 init process.
    
    Based on BSD changes in commit a22879c6779283684fe4a61543fc95179b4f5d0b
    by Alexandr Shadchin
    
    Fix segfaults when mouse device fails to open.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1780667854d73bbd0e0596271b09f93321cd0b1d
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Mar 30 02:26:25 2011 +0200

    Fix Hurd mouse driver with XInput ABI before 12
    
    Commit 7bf22a36 (Use pInfo->options instead of conf-idev.) updated the
    xf86CollectInputOptions call into keeping previous options (for ABI before
    12). The hurd mouse driver also needs to be updated.

commit d6e9623875de5714e85f7da5782ea665116f86dc
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Mar 30 01:00:47 2011 +0200

    Fix OSMouse OS-defined protocol support
    
    Fix regression introduced by 0a088df6: in the case of an OS-specific
    protocol, the protocol is PROT_UNKNOWN, but should not be rejected: the core
    mouse drive just needs to let the OS driver handle it.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit a07c353f01f99ef3e62f84a32e91d539a4e4863a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 10 08:32:23 2011 +1000

    mouse 1.7.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a22879c6779283684fe4a61543fc95179b4f5d0b
Author: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
Date:   Wed Mar 9 20:09:59 2011 +0500

    Fix BSD issues with new ABI12 init process.
    
    From Bug 34794:
    "Until xf86-input-mouse-1.6.0, the MousePreInit() function exited if an
    os specific PreInit function existed. It let the os-specific function finish
    all initialisations that remained to be done after osInfo->PreInit() was
    called.
    
    The code in master now continues, and does things that the bsdMousePreInit()
    function in bsd_mouse.c doesn't expect."
    
    Fix up wsconsPreInit to deal with the new init process.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=34794
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2e507df6704ebd2cab6ada450ed40d89a2d3ca19
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 10:06:54 2011 +1000

    mouse 1.6.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 70f1d8579ef86dd428eabcb3752b5d1bce47b8f7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:40:13 2011 +1000

    man: ClearDTR and ClearRTS are handled by the X server.
    
    If it breaks, we know who to blame (or file a bug against).
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 194c5913e92c84d1a30447d43b5beee77a98b7ba
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:33:37 2011 +1000

    man: protocol option isn't mandatory, it's platform-specific.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit f70a9817a2eb845eb9718c0ed6540de1ffe7e531
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:30:36 2011 +1000

    man: fix typo "Auto platform" → "Auto protocol"
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit a45b5d0eaf871c139b057f757869a20fd617d529
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:29:59 2011 +1000

    man: README.mouse is just README
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 9140e2640319833658a2be5ab2f8349a79ff20aa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:28:26 2011 +1000

    man: add mention of xorg.conf.d snippet
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit af784aad332d67bb746597d5de032ca320928d51
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:24:38 2011 +1000

    man: remove mention of core pointer.
    
    This doesn't apply to X servers 1.7 and later.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 6b5a82e4e85ab12df23ecf30f2b07eb4c5763e93
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 29 22:25:52 2010 -0800

    Add ABI checks around XI86_CONFIGURED uses in OS-specific PreInits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 73bb42e10033cfeb41ba540ea0303b882ff7e61e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 25 11:35:29 2010 +1000

    Bump to 1.6.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0a088df6b2f5cac05a00c4f461274b83feb1a9a8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 14:34:28 2010 +1000

    Adjust to new Input ABI 12.
    
    New PreInit prototype and a couple of other minor changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit fedd52ba781da1960ada0a96b85293afe2509a4a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:16:22 2010 +1000

    ABI 12 requires per-valuator modes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 7bf22a368c752fe76dc60c3ea0f70ec1a46d653e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 14:36:59 2010 +1000

    Use pInfo->options instead of conf-idev.
    
    Because it doesn't really matter anyway, I think.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f3f405db5603ecca5bc14dba23628ea56a0f5202
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 16:08:49 2010 +1000

    Remove write-only field mouseFlags.
    
    The flags were used to store ClearDTS and ClearRTR, but those options only
    resulted in log messages.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23308a251e16c4a6ab3c89c0505b0d8900c9cdff
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:51:59 2010 +1000

    Rename xf86OSMouseInit to OSMouseInit.
    
    This isn't a DDX function anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9263c949df6cbbb8e42ec4f0d6337206f684d0f5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:49:23 2010 +1000

    Remove random History comment.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ecc3d28fa488f186896d714b8872b8875f8eccfd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:46:13 2010 +1000

    Rename xf86OSmouse.h to mouse.h
    
    The driver-internal mouse.h header was only an include command for
    xf86OSmouse.h anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a92175888885ac77c87d52309cba87f1e9c96e73
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:43:47 2010 +1000

    Remove a bunch of unused fields from the MouseRec.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a48e8ce9434837d649eb88058aa9406f1bf9dce9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:41:26 2010 +1000

    Move a statement down to have all allocations close together.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f3ac92a41b9e85a0cfba011812b637b1f3ae2529
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:35:55 2010 +1000

    Remove convoluted do { } while loop.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fac47e7df6f719b1fce5341b343cabcbe150b52f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 13:34:21 2010 +1000

    Move protocol ID detection into a separate function.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 859b8f2c4d964cd9b40dcbc64bd28fc98e129387
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 12:17:19 2010 +1000

    Use single exit path for PreInit.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 11f94120035d1c4e2d1d299d9fa19f79ca3ed75e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 12:13:00 2010 +1000

    De-duplicate Option "Device" handling.
    
    Move the warning messages and the OS-specific autoprobing calls into a new
    function. This will change the order log messages appear in but functional
    changes should be identical.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b1920abf72664765f7dab4a487839a3d29267a1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:59:17 2010 +1000

    Remove unused branch from if 1 condition.
    
    This has been in since 2003 or earlier, let's pretend it works.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 008906b855f05be4d1942d2a3e1afcb8a7ee4b14
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:56:36 2010 +1000

    Remove a bunch of unnecessary log prints.
    
    xf86SetFooOption will print to the log anyway, no need to print twice.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9d6723303216e7b6de583716768d0dc972f03d03
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:53:21 2010 +1000

    Remove if 0'd out model.
    
    If 0 since at least 2003 is enough to pretend we don't need this block.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f227252af6458fbf6cbeee43e3f739fd2f03c67
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 15:38:57 2010 +1000

    Remove includes for protocol headers.
    
    The driver shouldn't need those.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3b39dd7ca3a4055e63a8ca55b614912fe47215a6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:49:51 2010 +1000

    Remove unused define NEED_X86_TYPES.
    
    Not needed for 1.6 and later.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef4fad4d823d46be4538daeca0ee3e014efc73c2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:39:42 2010 +1000

    Assume ABI_XINPUT_VERSION 4 or higher.
    
    We require server 1.6 in configure.ac to build, so let's assume that's the
    minimal ABI version we support. Purge the rest.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7b426ef2a6bc181ec700f74b59b39c2e695bf6b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:34:41 2010 +1000

    Remove refcnt field from InputDriverRec.
    
    Wasn't used in the server and is now removed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5fc405451d8fa01b9e5fb6f2da74a6e03d50174
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:31:23 2010 +1000

    Don't try to call conversion_proc anymore.
    
    This hasn't been called since at least server 1.5 or so (ABI 2), possibly
    longer.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bb2d63df99457de1e5c06be501a03b5629fc52c8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 11:10:25 2010 +1000

    Replace LocalDevicePtr with InputInfoPtr.
    
    No functional changes.
    The typedef has been removed from the server but was an alias for
    InputInfoPtr since the dawn of, well, at least git.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5f4fc652cf5999045ff9006a55cf75edaba65c0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 10:57:58 2010 +1000

    XI86_POINTER_CAPABLE is gone from the server.
    
    And was a write-only flag before that anyway, no ifdef needed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4eefb5bfa837aae2201769360745edcaad4ea8d8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 10:54:41 2010 +1000

    Remove out-of-date comment.
    
    /*
     * XXX This should be done by a function in the core server since the
     * MouseDevRec is defined in the os-support layer.
     */
    
    no, it shouldn't and it isn't, in exactly that order.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fdd5d5c77d05c7f085e6f62c66b31b66087d195d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 10:46:35 2010 +1000

    Remove unused declaration of MouseUnInit.
    
    To not have an UnInit function one needs to explicitly not define an UnInit
    function that is then not used, so that definitely no UnInit is performed
    with the function that is not defined. Philosophically speaking, this may be
    true. Meanwhile, over here in reality, well... meh.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit abc107eeb8847b9bf2f303abefde5adaab9331bf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 10:45:27 2010 +1000

    Replace libc wrappers to xcalloc and friends with libc calls.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 782052d087fd59d673de6c45784c316c055a592d
Merge: 4f1a5cc 6d6c247
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Sep 29 23:42:43 2010 +0200

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-input-mouse

commit 6d6c24768b2b347436a6d35c4aaa129227c7392e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 8 23:11:19 2010 -0700

    xf86-input-mouse 1.6.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4719334800b7eb88479acdcbbc176019ba9c5bd2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 8 22:58:30 2010 -0700

    Bring README a little closer to the current state of reality
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4f1a5cc98c8452362ecb81843cd0a32c9a45ce4e
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Sun Sep 5 21:21:58 2010 +0200

    Fix build warning
    
    Add extra parentheses to avoid ambiguity.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 35f277a718f2da6a09080af020aaf29ef96fe807
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Sun Sep 5 21:20:33 2010 +0200

    Fix mouse data buffering
    
    Check remaining buffer size *before* reading a character from the device.  Also
    keep extra characters in the static buffer until next invocation.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit cb11e9ca60e8ca2590c77f844bfd19e5278f518f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Aug 11 21:30:40 2010 -0700

    MouseCtrl doesn't need to save values we never use
    
    Makes it into a no-op, like evdev's PtrCtrl function, now that
    mouse acceleration is completely handled in dix.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Patrick E. Kane <pekane52 at gmail.com>
    Reviewed-by: Simon Thum <simon.thum@gmx.de>

commit 374725ef73ca929f8a951061528d11ee796cb069
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Aug 11 20:21:33 2010 -0700

    Sun's copyrights belong to Oracle now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b208a2b8d1032489a02c465830150422d1123cc
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Wed Aug 11 20:16:44 2010 -0700

    Check for NULL currentMode in vuidMouseSendScreenSize()
    
    Fixes Sun bug 6920647:
      Core dump in resume when monitor changed in suspend
      http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6920647
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b9d6d0309abdec7b384cb1f0958b9bcd60364e60
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Jul 28 21:23:25 2010 +0200

    Do not return the address of a local buffer
    
    Make the const buffer returned by FindDevice a static const buffer, to avoid
    letting be on the stack.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 75300d6ae5a5b2324224423c9f976cba50e47547
Author: Patrick E. Kane <pekane52@gmail.com>
Date:   Fri Jul 16 11:13:20 2010 -0500

    xf86-input-mouse: Update sun_mouse devPrivates code #29049
    
    Update the sun_mouse devPrivates code to conform to the new API
    (introducted by commit faeebead7bfcc78535757ca7acc1faf7554c03b7)
    that requires the PrivateKey to be registered.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=29049
    
    Signed-off-by: Patrick E. Kane <pekane52@gmail.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 112caa1724e139caeb91c792c394b21d1391b370
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:13:05 2010 -0300

    Purge macro NEED_EVENTS
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b714882b0245a2d6078d8778156e88813761f2c4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 27 18:57:33 2010 -0400

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1188152feee345b7a0f39513cd9d7b8bab938338
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 27 09:32:59 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ad78ef7a9488f7235032e106839224fc43f20e5f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 16:09:03 2010 -0400

    config: let AC_PROG_SED find the best value for $SED
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9a9344e66d2e03ee44bf6fe6a1c1d97082a74c20
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 15:59:24 2010 -0400

    README: keep the text version of README, discard the sgml version
    
    The linuxdoc doc tool is deprecated.
    README files are exclusively text files.
    The file had not been updated for 5 years.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9711c050e6d2a7c7c89ddc26775d819b5bc41ad3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 14:29:32 2010 -0400

    config: fix warnings, m4 quoting and layout
    
    Fix some m4 quoting
    Fix some autoconf warnings
    Regroup statements per section
    Add comments
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 86ddfe77024dbd94e99695a23ba77c2100b7e3e8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 14:08:04 2010 -0400

    config: Upgrade X.Org macros to 1.4 for INSTALL file copying
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 349db3f68d7f727b965132ade5bcefd5da6ad399
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 14:01:28 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 59ace3b6fd3c1901e8025f4785c31d514aac3b3f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 14:00:41 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 540f1d8826aeee17235bd29c42144fe52213130c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 14:00:06 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements at the top.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 27d00be1f8ae04be0bcb73d2744731ded527e8e5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 13:58:03 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f76449cbe38d9f2e925d0af0cd0b1050168d86d1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 13:28:37 2010 -0400

    config: optional extension check for inputproto not required
    
    The check should be in PKG_CHECK_MODULES permanently.
    
    The XORG_DRIVER_CHECK_EXT will add inputproto to PKG_CHECK_MODULES
    only if the extension is available. By definition, this extension
    is an integral part of the server and is always present.
    
    The server always sets XINPUT macro to 1.
    The conditional code was removed
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a4dfc92927c8e26aca58da11bae1e516238fd60a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 13:27:02 2010 -0400

    config: remove extension check for unused RANDR extension
    
    The randr protocol is not used, no randr*.h are included.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ecc0b614aa3077e4d73f1b1a567486f5540f3eb5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 13:12:34 2010 -0400

    config: remove AH_TOP autoheader statement
    
    The generated config.h does not need to include xorg-server.h
    for the content it provides.
    Add #include <xorg-server.h> in .[hc] files as needed.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4ef973d4c740a0b92e6b0d1afae1d6fca0386bd8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 13 13:08:00 2010 -0400

    Remove unused SCO driver files
    
    The SCO driver has never been enabled since its original commit
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0071e2eb6bd3c31be108b7cdbc415498c83ed1c6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Apr 28 18:18:14 2010 -0400

    README: update text content from sgml content
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4fc24a0093d453944dc8d46aebe27b1671d45c77
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Apr 27 13:50:20 2010 -0400

    README: fix linuxdoc content
    
    defs.ent are located under X11 directory
    ident tag is not a Linuxdoc tag
    replace docbook email tag with linuxdoc email tag
    replace <code> with <verb> which preserves tabs
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3ee9b720856efa240b70d38172706485f6420289
Author: Márton Németh <nm127@freemail.hu>
Date:   Tue Apr 13 00:35:57 2010 -0700

    Bug 10866 - serial Genius NetScroll+ autodetection
    
    https://bugs.freedesktop.org/show_bug.cgi?id=10866
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c74d482378a85eef26dd85fc191f602e0f7c667f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jan 20 17:47:20 2010 -0800

    Solaris: Handle ENODEV & other errors from VUID protocol mice
    
    Adapted code from keyboard fix for ENODEV to do the same thing for the mouse
    
    Use normal read() calls for reading from the mouse so we can get the ENODEV
    errors, instead of going through the Xisb*() wrappers, which are needed for
    reading directly from serial ports (which this code never does since it's
    only used with VUID mouse event streams from the kernel).
    
    Fixes http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6844148
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a2d158c290a831dffef3613ddb736c04377c51e7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Mar 9 13:12:10 2010 -0500

    config: remove unused -I$(top_srcdir)/src directive
    
    There are no sibling directories that need access to /src headers
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c9ebc0c532bf72e459ec93f6ff4198dfd7e32252
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 14:48:49 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 36cb94a9af364c18ccae774d79a8c1f937cb786f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 327ede732bd05185a459c195dbc9ceee250b3b71
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Dec 16 18:17:26 2009 -0800

    Silence sed substitutions in make output
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c6ff6c3bba57a5134b050bead65dd6a1ff2f42aa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 3 11:27:30 2009 +1000

    Plug minor memory leak.
    
    This change splits the DEVICE_CLOSE behaviour from the DEVICE_OFF behaviour.
    This doesn't change functionality as the server guarantees DEVICE_OFF to be
    called first and DEVICE_CLOSE thus becomes a noop anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6ac394cafc959980893553955e98827c7cb45119
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 9705701af25089ba8896d706f13403416f632cb4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit a80227b40dd710e13fb497f2f01a51afb0e5337c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit ad49b908b8b6aa7643325e8be75e0b0e5c7e764d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:20 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 034f5430549b0c713b0be302e067e4f1fd02c6fb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 2b6dc8ccfe85356d309e3191cf5b942c6d4e0cd5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 6 12:09:46 2009 +1000

    mouse 1.5.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6bae95035db026b7f3189a21942ce7953a6e3437
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 6 12:07:45 2009 +1000

    Require macros 1.3 for XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 622cf1834725c3348cfdc41c12e39b327011c836
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Sep 12 20:18:06 2009 -0700

    Fix crashes due to MouseBlockHandler/MouseWakeupHandler with invalid devices
    
    Don't install the handlers if devices failed to open/initalize.
    Remove the handlers when disabling Emulate3Soft mode, since otherwise
    they'll be left around when device is closed & device structs are freed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit bc7933171e08215ba28bc06c80ee1bc1febc0522
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 9 11:48:58 2009 +1000

    mouse 1.4.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 04a29c8c8ebc6fbc6f5b67026b659a2ffdd6540b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 7 11:12:13 2009 -0400

    xf86-input-mouse: Remove unused .cvsignore file #23776
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fa997144458527856b71fa162a105a46af8e688a
Author: Donald Kayser <xorg@kayser.net>
Date:   Thu Sep 3 09:22:30 2009 +1000

    signed/unsigned fixes for delta x,y movement
    
    Changed the cast of (char) to (signed char) while computing delta x
    and delta y mouse movements. The C standard does not define compiler
    behavior, and currently with PPC builds, the (char) cast is unsigned.
    To guarantee that the compiler will generate signed values, the cast
    has been changed
    
    Signed-off-by: Donald Kayser <xorg@kayser.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f292f23baf4db048917a2acd4def9fab4293bc85
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 20 13:49:52 2009 -0700

    sun_mouse: Don't try calling ioctls if mouse fd wasn't opened
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f93c927178a352eec00b3323eb935cc6f27243b0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 20 13:29:25 2009 -0700

    Remove check for OS/2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 1be9e3cf0c491cddfb5985b6b3cc65581313f98f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 20 13:26:40 2009 -0700

    sun_mouse: Check if streams module is already on the stack before pushing it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit bf95ccf496d6674a83c44d559e3eef8729c69449
Author: Dima Kogan <dkogan@secretsauce.net>
Date:   Sun Aug 16 22:27:28 2009 -0700

    Restrict wheel emulation to a single axis at a time.
    
    Wheel emulation works for both horizontal and vertical axes. Thus, if a
    device doesn't move in perfect straight line, scroll events build up on the
    respective other axis.
    
    In some clients, scroll wheel events have specific meanings other than
    scrolling (e.g. mplayer). In these clients, erroneous scrolling events come
    at a high cost.
    
    Thus, if a scroll wheel event is generated for one axis, reset the inertia
    of the other axis to 0, avoiding the buildup of these erroneous scrolling
    events.
    
    Signed-off-by: Dima Kogan <dkogan@secretsauce.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2d43329d778d7bfae5d9c99611ad49efa56716a6
Author: Dima Kogan <dkogan@secretsauce.net>
Date:   Sun Aug 16 21:33:43 2009 -0700

    Allow 0 as wheel emulation button for unconditional scrolling (#20529)
    
    If wheel emulation is on and the emulation button is 0, then any x/y motion
    of the device is converted into wheel events. The device becomes a
    scrolling-only device.
    
    Signed-off-by: Dima Kogan <dkogan@dkogan@cds.caltech.edu>
    Signed-off-by: Dima Kogan <dkogan@secretsauce.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0996fd2e3dcac813ad450884e8c117bc4d49b89a
Merge: 66bdf8d 8a3f6f7
Author: Charlie <root@netbsd.(none)>
Date:   Thu Jul 9 10:05:46 2009 +0200

    Merge branch 'master' of ssh://mbalmer@git.freedesktop.org/git/xorg/driver/xf86-input-mouse

commit 66bdf8d3f289a3ada44c37f3ceb00fc728975cac
Author: Charlie <root@netbsd.(none)>
Date:   Thu Jul 9 08:09:54 2009 +0200

    Conditionally declare some variables that are only used conditionally.
    
    Reviewed-by: Matthieu Herrn <matthieu@openbsd.org>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8a3f6f75218080b3e7657cb104c6f8e025f358ef
Author: Charlie <root@netbsd.(none)>
Date:   Thu Jul 9 08:09:54 2009 +0200

    Conditionally declare some variables that are only used conditionally.

commit 2ddc4e9b2882914a56508613fe069c7335c64cc7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 18 16:11:47 2009 +1000

    Protect against ABI_XINPUT_VERSION 7.
    
    Missing the actual button and axis labeling, this can be added at a later
    point in time.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 91bf15dd2af4bf9a83e317b8821bcbbfdba02338
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 29 10:07:19 2009 +1000

    Remove ModuleInfoRec and associated bits.
    
    ModuleInfoRec was removed with 2107becb0ce2ffda001be65728c53563496d8d50 from
    the server. The MouseOpts were only used from the ModuleInfoRec, they're
    gone now too.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b698a24ab233ec5da2ebd36b5f6f199219de6d44
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 25 08:37:01 2009 +1000

    Remove xf86MouseProtocolIDToName and xf86MouseProtocolNameToID.
    
    Both were only used from the xf86-misc extension which is gone from the
    server as of 1.6.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6887ca0de8314b6029d5df63777b29c46eeb9442
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 25 08:45:10 2009 +1000

    Require xorg-server 1.5.99.901 or higher.
    
    1.6 is the first server release that has the xf86OSmouse.h and related code
    removed. This code has moved into the mouse driver and attempts of using a
    mouse driver that provides xf86OSmouse.h with a pre-1.6 xserver may fail.
    
    See also:
    http://lists.freedesktop.org/archives/xorg/2009-March/044501.html
    
    Reported-by: Jeremy C. Reed <reed@reedmedia.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit abc65bec5c88acd0a8699920e18473cfa007169f
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Feb 4 20:48:33 2009 -0200

    Janitor: use $PKG_CONFIG and update .gitignore.
    
    Signed-off-by: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>

commit 5058dc340278f2498dd1b4db129dc6dd6b0e0964
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 18:38:57 2009 -0800

    Version 1.4.0

commit 194fed98fee47801f1ca8eb926bc10a57b7582cb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 14:41:26 2009 -0800

    Add note on hal-based configuration to man page

commit 299bd6c164e4e91cf69c41b3c7b97879cfcc0d32
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 08:45:38 2009 -0800

    Add copyright notices for OS mouse code to COPYING file

commit 0968d56233804515d347b2001bf817d0fa3611ea
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 8 21:48:13 2009 -0800

    Unifdef XFree86LOADER

commit 47c5e3a368a2922c4cc5e3a9769501fe399287ae
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 8 21:43:58 2009 -0800

    Remove some #if 1 statements

commit 7039165d70079f2e8573ada9323fbc582c825248
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 8 21:38:54 2009 -0800

    Comment typo fixes

commit a61f0f92299037fe818a54c2cd9a2d3836698b43
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 8 21:29:00 2009 -0800

    sun_mouse: fallback to commonOptions for StreamsModule too

commit 4623258b48f01306309ff9d39a85565bce57946e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 8 21:21:18 2009 -0800

    Clear assorted compiler, sparse & lint warnings
    
    mouse.c:1004:35: warning: Using plain integer as NULL pointer
    sun_mouse.c:325: warning: 'absX' might be used uninitialized in this function
    sun_mouse.c:325: warning: 'absY' might be used uninitialized in this function
    sun_mouse.c: (158) warning: constant truncated by assignment
    
    declared global, could be static:
        hardProtocolList    mouse.c(3151)
        softProtocolList    mouse.c(3163)
        serialDefaultsList  mouse.c(3366)

commit 6f14e8569150b0d6fac7186968cde8b031a1fefc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 8 21:20:58 2009 -0800

    Add XORG_CWARNFLAGS & XORG_WITH_LINT for more compiler checking

commit 24d9306546d325089c5fb6b78b90c24b38c86338
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 8 20:40:10 2009 -0800

    Replace static changelog with one generated via XORG_CHANGELOG

commit cd476cc0932bf9440a05e460cd22dbe584585746
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Wed Nov 19 22:23:34 2008 +0100

    Fix linux build
    
    HAVE_XORG_CONFIG_H is a leftover from the server sources (where this file used
    to reside).
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 003c297d2902092074ede131db0dbc08d9116a5b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Dec 1 14:36:06 2008 -0800

    sun_mouse: check for Device in commonOptions if pInfo->options isn't set yet

commit 1e23b944aae3ef50cc764e6d2f0198deabe790ad
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Nov 22 17:36:14 2008 +0100

    W axis support for bsd_mouse.

commit e7e3cd9bed2bfeb848d62062d0859aa813bf786d
Author: Matthieu Herrb <matthieu@deville.herrb.net>
Date:   Fri Nov 21 19:59:22 2008 +0100

    prevent a double free of mouse private structure.
    
    Mark pInfo->private as NULL after freeing it on the error path.

commit c98bc45557174f771b031d4a003b54d06b857785
Author: Matthieu Herrb <matthieu@deville.herrb.net>
Date:   Fri Nov 21 16:14:01 2008 +0100

    Include xorg-server.h to get the WSCONS_SUPPORT define from
    xerver SDK configuration.

commit 87f20b0c06bc13ed603d36cca881ccf69ac0a68a
Author: Matthieu Herrb <matthieu@deville.herrb.net>
Date:   Fri Nov 21 15:42:31 2008 +0100

    Build fix: Add a prototype for FindDevice function.

commit 790a78d3b3d81ea06fc1a31108a330adba8cc069
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 5 21:47:30 2008 -0800

    Fix solarisMouseAutoProbe to use device name & protocol specified by HAL

commit daac081f34baab7388a8c42e5a80a42cd6810d75
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 5 19:26:38 2008 -0800

    sun_mouse.c: Use miPointerGetScreen instead of miPointerCurrentScreen

commit 431982e7c04ec076eeafd57190db4d7d901efa7c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 5 19:04:32 2008 -0800

    sun_mouse.c: remove unused variables

commit 7bb59519636a7e0028e6f0f63d8256a68a24792d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 5 18:55:07 2008 -0800

    Remove checks for Solaris x86 versions older than Solaris 8

commit 898dfc9ce731ea9515f7819a9f0583af81d7d8b2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 5 18:51:04 2008 -0800

    Rename OS_SOURCES to stop automake complaints about not building program "OS"

commit ea5cfe804e112f320f14ad896c7802d53551d3e6
Author: Roland Scheidegger <zak@linux-x.site.my>
Date:   Sat Oct 4 16:02:08 2008 +0200

    fix compilation (upper/lower case typo)

commit da2ab45e3ee85f164b5430a4d0c5d60cdf71a5ec
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Tue Aug 26 22:39:27 2008 -0400

    Change screen private key to an integer variable.
    
    Prepares for a devPrivates system that will store an index.

commit d4ed78710b19a8b1c9b5349eacd44599ba075527
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 19 15:12:52 2008 -0700

    Fix sun_mouse.c build on Solaris

commit 04730f0be48d464401796a224109adbee9cd51de
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 19 15:28:48 2008 -0400

    Remove useless call to xf86AddModuleInfo

commit f3f0a5520ed7edac3867a97f5a001b91c870563e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 20 04:33:07 2008 +0300

    Add OS mouse sources to the driver build
    
    Copy across the OS mouse sources and add them to the driver build.  For
    convenience, the OS mouse versioning stuff was removed, but we have
    always had the same featureset in all modular builds, so that's okay.
    
    Only compile-tested, not runtime-tested.

commit 1214c4ce571caf0bcdb3d9dc04a2b34f4a23c3c0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jun 10 14:38:26 2008 -0700

    Merge some hardware support information from README.mouse into man page

commit 705d0def1092a2121867fae4e7bc944a240d789a
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 26 21:57:59 2008 +0930

    Check for XINPUT ABI 3.

commit 5d9d865b4ac2d7739ae93a8e0e682535aeb46b6d
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 20:28:04 2008 +0930

    Nuke RCS tags.

commit bf634290f7bdf1f5b922f4c28b333a739057f2f0
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Sun Mar 16 02:28:16 2008 -0300

    Compile warning fixes.
    
      Ansify a function with K&R style definition.
      Obey gcc in warning suggest parentheses around assignment used as truth value.
      Remove some unused variables.
      Remaining warning is about xf86AddModuleInfo being deprecated.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7f0623807366b1bc6c0be2e065220be94b669ea7
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 30 17:28:34 2008 -0200

    Make sure xf86MouseProtocolIDToName is of public visibility.
    
    This function is called by code in the xf86misc to change mouse parameters,
    after checking it's availability using LoaderSymbol().
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 82231d2309a54ecf7de3f29809416b2ea5f2d3cd
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue Apr 15 15:54:17 2008 +0930

    man: Note that the server may probe default "Device" options.
    
    X.Org Bug 15245 <http://bugs.freedesktop.org/show_bug.cgi?id=15425>

commit 9192640066e3917062cb3ee1c761a83196bfb721
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 20 16:26:52 2008 -0400

    mouse 1.3.0

commit d6ceabc1b58d752cb2af03519c15012206904f70
Author: Matthieu Herrb <matthieu@bluenote.herrb.net>
Date:   Sat Mar 8 23:10:03 2008 +0100

    Makefile.am: nuke RCS Id

commit 78272e117ceea12b8863f31688da66b20e160311
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 3 13:27:02 2008 -0800

    Update Emulate3Button default in mouse man page to cover Emulate3ButtonsSoft

commit 6a03e8bd9699a33dabcdd2bbcf51a001ddfd5534
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Nov 16 16:45:45 2007 +1030

    Bug #13144: Don't flush buttons, release events can cause paste events.

commit 76a2231f87551f7c1943df18bc537b9b15987562
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 3 11:59:12 2007 -0500

    Don't sleep(0.3) on shutdown.

commit 0352a4db368eaab2df5fa77d4003e1363b3ea4fb
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Oct 3 14:06:50 2007 +0200

    Bumped version to 1.2.3.

commit f42ea3027c13046dfa7a603737b476fbf2833764
Author: Fredrik Rinnestam <fredrik@obra.se>
Date:   Wed Sep 19 23:24:13 2007 +0200

    Bug #12145: Don't confine the pointer to one screen in zaphod mode.
    
    Fix ported from evdev's b4a5a20476f7bc77d54a860d7cdd81c223bdb81f.

commit 53bdd4db01f05595beb37e68842118eb649308d3
Author: Daniel Drake <ddrake@brontes3d.com>
Date:   Tue May 29 12:14:00 2007 -0800

    Bug #11089: xf86-input-mouse COPYING file
    
    X.Org Bugzilla #11089 <https://bugs.freedesktop.org/show_bug.cgi?id=11089>

commit 111081a2f15b416c2fd05b667bca3b3982f93245
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Aug 1 15:55:51 2007 +0200

    bump to 1.2.2

commit 8d329a4a23cdaa970e41fa33ee2babc4687189f2
Author: Brice Goglin <Brice.Goglin@ens-lyon.org>
Date:   Wed Jul 25 19:22:27 2007 +0200

    Fix typo in mousedrv.man
    
    Reported by "A. Costa" <agcosta@gis.net> in
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=432060

commit c7c012d8bf735dfa894146b379a2e1fd55f57fca
Author: Drew Parsons <dparsons@debian.org>
Date:   Thu Jun 14 00:24:07 2007 +1000

    Update version using PACKAGE_VERSION_*

commit e567cb0792ea3dc2cd68c46628332c1f8bbb173d
Author: Jürgen Appel <jappel@linux01.gwdg.de>
Date:   Mon Apr 23 15:54:08 2007 +0200

    Added "Sensitivity" option. Use for slowing down high resolution mice.

commit 4666e5f14b2cb63f5cd7c863331fe69658c989df
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 26 13:36:15 2007 -0800

    renamed: .cvsignore -> .gitignore

commit 92a8e2a39d7c9d6bfdaa0a5ac0118599008638ff
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 26 13:35:42 2007 -0800

    Update text version of README to match sgml
    
    Oops - forgot to regen text when the sgml changes were checked in for
    commit 28c5410df7ba8af07b994c0907519e869c9df750

commit e355dc2e04b1b4756d4ad8553794b4e97210000c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Nov 30 19:57:28 2006 +0200

    bump to 1.2.1

commit fb347fb74e1a50fa900f225d13eee1aa829fa2f9
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Nov 23 18:17:33 2006 +0100

    Work around race condition during VT switch.
    
    https://bugzilla.novell.com/show_bug.cgi?id=219946

commit 7a866ae143c3638d6b1e3836d48f16e300e90b09
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Nov 2 04:47:12 2006 +0200

    bump to 1.2.0

commit ddc0db4fe85e2b8de31ad67a6d4f97808bce018f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Nov 2 00:07:01 2006 +0200

    port to new motion history api, add right number of args to IPDS
    
    Use new motion history API from the DIX if available, and also use the
    right number of args to InitPointerDeviceStruct, depending on the ABI
    version.

commit 167dbbc2af6cad5d3b320e4e384bd78dd3450a5c
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 18:28:46 2006 -0400

    Bump to 1.1.2

commit 40cfeffc5bea7ecdc20bbbe4db50fd725a62f29b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Aug 27 13:06:31 2006 +0300

    move manpage to mousedrv.man to avoid conflict with mouse.4

commit ac0dc7451be0a8aba703fd4d9a78e17544c40842
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Jul 9 20:01:26 2006 +0200

    Bug #5285: added some missing includes, avoid redefinition of
    NEED_XF86_TYPES.

commit 6dbc6ad05d147831a62b161e23f5da29101f2cfa
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri May 26 13:55:39 2006 +0000

    Bump to 1.1.1.

commit 12bd04878774154fe83d785418b87dd37b4f2f15
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Apr 21 11:15:23 2006 +0000

    Fixed default for YAxisMapping. Changed default for ZAxisMapping. Added
        short explanation.
    Autodetect (one way only) single wheel only for EXPS2. Use singlebit
        protocol for multiwheel EXPS2 mice.

commit 2ce9bbe76c788fe7c41d2607577c867e5a3d9608
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Apr 20 18:25:32 2006 +0000

    Overhaul of wheel processing. Does work correctly with multibit zaxis
        events now.

commit 5e9624b3695cf37fff7986d1585e4227bad789f5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 17:59:54 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit 270fe8e1ccd2f5af114e8292bee8c4d27a1d93ab
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Apr 3 21:18:50 2006 +0000

    Coverity #875: Correct several memory leaks in options parsing.

commit abe3a020a70859f680163a8105cebeac42695f72
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Feb 28 19:44:45 2006 +0000

    Bump to 1.0.4.

commit 6de7233e0fdb63d4794df45d76391a4a6f04ec8d
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Feb 2 11:53:50 2006 +0000

    Fixed ButtonMapping default.

commit 9ec6a9a1c1b01e37ea60611160a4c15c2f308086
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Jan 17 11:49:57 2006 +0000

    Bug #5071: EmulateWheelTimeout didn't work as anticipated.

commit 745e3d38594938742f16508a61bd0ce9598fcf30
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Jan 9 02:30:15 2006 +0000

    Remove unconditionally-defined #ifdef PNP_MOUSE blocks.

commit b9db086daae7aacae068e4db85575737ebe76f45
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:57 2005 +0000

    Update package version for X11R7 release.

commit d84b58ede20c31f4acbf886197c92b6f69d32da8
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:51 2005 +0000

    Stub COPYING files

commit 28c5410df7ba8af07b994c0907519e869c9df750
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Dec 19 09:07:50 2005 +0000

    Typo fixes, mailing list & url updates, and other changes to prepare for
        X11R6.9 & 7.0 releases.

commit c231bba8457cbe98c516f0ee90ebc2c4b5a936a9
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:21:33 2005 +0000

    Update package version number for final X11R7 release candidate. Bump
        driver version number.

commit c356477c8dab15a68fa6deb06181c28d2e9d1c54
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Dec 12 06:59:54 2005 +0000

    Bug #1752: When emulating 3 buttons in "auto" mode, timeout immediately
        when a mouse movement is detected (Egbert Eich, Kean Johnston, Kevin
        Martin).

commit 4180beef7023dc3a860dd9895c986317326c5236
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:31 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit bef647bfb75c9be08046ba041e775e2be483bc05
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:31 2005 +0000

    Update package version number for X11R7 RC3 release.

commit e8f1d1cc8f021c8034087c7d2d26a945fda41467
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:45:18 2005 +0000

    Bump version numbers for X11R6.9/X11R7 RC3.

commit 1e537674ebd4df0b7245b4b2119bcf33be9d3f51
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:06 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 7b4b12a977e4c84d861f103613245570f34d31ce
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:29:56 2005 +0000

    Only build dlloader modules by default.

commit 1c95c00528b69db9a2345af0bcc871f63e2b8d89
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:07 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 90cda6b6d1f9e8db9d77423943b663e3e010b06c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Nov 22 04:03:23 2005 +0000

    Bump dependency on xorg-server to >= 0.99.3 for MouseDeviceRec changes.

commit 4b37d5d1d2f80da983346e15e900fb07de7d2cf8
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:06 2005 +0000

    Add .cvsignores for drivers.

commit 31c63c83f7dbe8c538d67d3f9a1e3064ea78e278
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Nov 14 14:25:09 2005 +0000

    Bug #4915: ButtonMapping default changed from one-to-one mapping to "1 2 3
        8 9 10 11...".

commit 5bca72458c8f9637f9c8f0871bb2048d824c6974
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Nov 14 14:19:52 2005 +0000

    Bug #4915: Move buttonMapping initialization before calling OS specific
        PreInit.

commit f00e2a8c9689465f6e173e08d0b51407e19f385b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Nov 10 03:37:47 2005 +0000

    Unrevert default ZAxisMapping change now that the default is back to "4 5 6
        7"

commit 77975bfe30f984f45f908d22a0e9c8fa0311aef0
Author: Kean Johnson <kean@armory.com>
Date:   Thu Nov 10 02:41:20 2005 +0000

    Dont pass wheel mouse buttons as real buttons, map them as Z-Axis movement
        on SCO and USL. Re-instate the ZAxisMapping default for the mouse
        driver.

commit aa6bdb84ec4d22f0916b1e471b89d056a684d7d4
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:31:23 2005 +0000

    Bump version numbers for X11R6.9/X11R7 RC2.

commit f8bf605528c78c1cb6670ee096837e5c04e1b61a
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 75a30c52706057cd70407271eda647c699a5a66d
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Nov 9 17:05:40 2005 +0000

    Bug #4915: ButtonMapping option which allows to define arbitrary button
        mappings (including left-handed mouse etc.). Fixed incorrect usage of
        non-reversed, but ZAxisMapped buttons for state detection. Nuked unused
        part of reverseMap.

commit 2372fba8f5f6e8d3bfa48edc980f2186fc9e87ee
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Nov 9 16:32:51 2005 +0000

    Reflect changes in ZAxisMapping default.

commit 823f49c8238595a377f7d0494d742f5e50d34eca
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:28 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 640006296296b33dceaf33675a4db3335765aac6
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:50 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 8dca995860193bc3132301f1b0f79ada06bffd4c
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:01 2005 +0000

    Update package version number for RC1 release.

commit 9dffd55847ebac6b381d8359ad67f056fb66cf2b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:52 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 08905305e064e8f20e5db529b850aaa87b578b2c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:29 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit bcabac6b1f0c39e20bca6e1abd4efe70d7eeac69
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:08:59 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit 34856ca1f73108ca19c20d9223457be328890dc1
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Oct 4 20:01:02 2005 +0000

    Check in generated README files

commit 55e29446456e51ccdca57f348ed4660f65ab7dee
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Oct 3 21:22:06 2005 +0000

    - For all drivers that have a <driver>.sgml file, add code in their build
        system to build the README file at make dist time
    - in util/macros/xorg-macros.m4, add a new XORG_CHECK_LINUXDOC macro that
        will check if the required tools and files exist, and if so set a
        conditional.
    - util/modular/symlink.sh
    - Link all the <driver>.sgml to xf86-video-<driver>/README.sgml
    - Add all the README.<driver> to the list of excluded files
    - xc/programs/Xserver/hw/xfree86/doc/sgml/SiS.sgml: Various changes to make
        it spew less warnings when the text file is built.

commit 79a6d468c7995032988a3888324fddf798021553
Author: Alex Deucher <agd5f@yahoo.com>
Date:   Wed Aug 31 23:38:47 2005 +0000

    Fix EmulateWheelTimeout Option. Spotted by Richard Neill, bug 4291

commit 70e4c1b572ea98e9cdf85b4c5ea3b63a89647d3d
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Aug 26 07:12:34 2005 +0000

    Extend Genius NetMouse support. (Debian #040)

commit 8227eb1ff74c7c61690359e2af00a5a6c23b56e9
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:40 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 4b08d9746296a4d9fc756a059f2bfba3490192a6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 15 23:48:35 2005 +0000

    Set ZAxisMapping default to "4 5 6 7".

commit f355ef63c60adc7a72517ca71fdc9983f3881db9
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Aug 10 14:07:23 2005 +0000

    Don\'t lose existing CFLAGS in all the input drivers and some of the video
        drivers

commit fd37fdea221cdf13a26e075758c9d1b405da5c06
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:41 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 0159c76ac33cc7072a5b30129b5b622053f23b08
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 20:03:22 2005 +0000

    Make the module dir configurable

commit 84c284202386be7c46d60cfa8a58f031d05ac84f
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Jul 12 23:16:59 2005 +0000

    Update driver to pass distcheck

commit e955a67245f83da020632a2bf82c04c03a697322
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Jul 12 06:15:09 2005 +0000

    Build skeletons for input drivers. Should basically work.

commit 5f673ca035ec1c3c4abdc162f50c864c89ed84d4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:38:00 2005 +0000

    Prep input drivers for modularizing by adding guarded #include "config.h"

commit c2bc3b67c121ffb1152333e268b675643f9f477f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jul 1 22:43:23 2005 +0000

    Change all misc.h and os.h references to <X11/foo.h>.

commit 25eb972e71e11208cd6426f5583d33490d82829d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:17:02 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit e9fd033c9c6903b681f1e82c3cd03098c3fbf2a4
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon May 9 23:41:06 2005 +0000

    Bugzilla #2389: Document the maximum number of buttons a mouse can have.
        Correct a missing period I noticed while I was here.

commit 0367a3a65a30fa461a1f2c4facf28821dbf10a77
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed May 4 04:14:58 2005 +0000

    Port X.Org to FreeBSD/powerpc. This makes a bit of math for sysmouse in
        mouse.c explicitly signed, avoiding the need for -fsigned-chars. (Peter
        Grehan, grehan at FreeBSD dot org)

commit b538c125e4cd103c743ed26ec4d288d4a5b35b24
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:34 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 39eeceba31b6a8b42be175db472c92b4aebb82c6
Author: Alex Deucher <agd5f@yahoo.com>
Date:   Sun Oct 17 22:45:57 2004 +0000

    - Fix DFP detection in r128 driver (bug 1386, Klaus Kusche)
    - Fix EmulateWheelInertia defaults (bug 1115, Andrew Pimlott)

commit a257b41d741b49268c55e739b6d793be3de6586a
Author: Alex Deucher <agd5f@yahoo.com>
Date:   Sun Oct 17 20:29:35 2004 +0000

    - Add interlaced support to S3 driver (bug 332, Leo Savernik)
    - EmulateWheelTimeout (bug 323, Mathias Fröhlich)
    - single button double-click (bug 322, Rob Brown)

commit 1a49e855396dd927dc69c63c2a32e115fd8f504c
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Sep 3 16:18:23 2004 +0000

    First set of documentation updates.
    Include more correct fix for rootless interaction with damage (Bug #1168,
        Keith Packard).

commit 014853d848b04ce496afc8ff3f0273872e8f761a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Jul 26 23:20:22 2004 +0000

    - Change xf86config to xorgconfig
    - Update Solaris mouse support information

commit 4ef4fa01917112bd937b32793ade3230de0b0d4b
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 24 17:35:39 2004 +0000

    Fix a problem with wsmouse driver loosing events on 64bit architectures
        (XFree86 Bugzilla #1438, John Heasley). "To fix this, I've added a
        mouse buffer (Xisb buffer) "scale" value to the MouseDevPtr type. If
        set, it is used as structure size of which we want space for a few."

commit 3fed730ac9f9b95503bc457d8688896cbda502f1
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:04 2004 +0000

    Merging XORG-CURRENT into trunk

commit 3e37718d9046394e1f89df80c9280727681c2b59
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:52 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 2714a22dc4f13db3bf1a050d403cb3b2692a6d20
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:34 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit fb74889ec7baa2bf9162f43517d6db36414a5c32
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:00 2004 +0000

    readding XFree86's cvs IDs

commit be8481276bdfee635dd3e4da33e65780aa5b7660
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:34 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 53bc8cd30c7ef1f888db318ad174ff4f028ce634
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:55:25 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 8e2fe5d5a02c4c8da8f4ced432da6fe88272b975
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:48 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 92595648d1140139f0c0a42cbb2c548fc6864575
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:56 2003 +0000

    XFree86 4.3.0.1

commit c9c7e96897229ba1d457a58f66121dd1f9210382
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:56 2003 +0000

    Initial revision

commit 95b194f6e3456b46c2f994f4f6655fabfcf89c76
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:49 2003 +0000

    R6.6 is the Xorg base-line
